<?php



require_once 'Classes/Model/ObservationSet.php';
require_once GREEN_ZONE_DIR . 'Utils/GZ_DataMapper.php';



class ObsSetMapper extends GZ_DataMapper
{
  // PUBLIC

  public function __construct()
  {
    parent::__construct();
    
    $this->MakeMapping( 'primary_key', 'GetObservation()->GetFileID' );
    $this->MakeMapping( 'file_id', 'GetObservation()->GetFileID' );
    $this->MakeMapping( 'rajd', 'GetObservation()->GetCoordinates()->GetRA', 'ToDegrees' );
    $this->MakeMapping( 'decjd', 'GetObservation()->GetCoordinates()->GetDEC', 'ToDegrees' );
    $this->MakeMapping( 'data_type', 'GetObservation()->GetDataType' );
    $this->MakeMapping( 'filename', 'GetObservation()->GetFile()->GetFilename' );
    $this->MakeMapping( 'src_name', 'GetObservation()->GetPulsarName' );
    $this->MakeMapping( 'project_id', 'GetObservation()->GetProjectID' );
    $this->MakeMapping( 'obsfreq', 'GetObservation()->GetObsFreq' );
    $this->MakeMapping( 'mjd', 'GetObservation()->GetMJD', 'ToString' );
    $this->MakeMapping( 'ut', 'GetObservation()->GetUT' );
    $this->MakeMapping( 'date', 'GetObservation()->GetDate', 'ToDMYString' );
    $this->MakeMapping( 'bw', 'GetObservation()->GetBW' );
    $this->MakeMapping( 'scanlen', 'GetObservation()->GetScanLen' );
    $this->MakeMapping( 'distance', 'GetObservation()->GetDistance' );

    $this->MakeMapping( 'children', 'GetCalibrations' );
  }

  // PRIVATE
};




?>